View Issue Details

IDProjectCategoryView StatusLast Update
0003110unrealircdpublic2006-11-12 13:04
ReporteravbAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSAnyOS VersionAny
Product Version3.2.5 
Target VersionFixed in Version3.2.6 
Summary0003110: "SVSMOTD !" does not removes /motd output until ircd restart.
DescriptionUnreal 3.2.5, without modifications and 3-rd party modules,

[core@joker install]$ cat ircd.motd
--------ircd.motd---------
some text here
-----end of ircd.motd-----
[core@joker install]$

[core@joker install]$ cat ircd.svsmotd
cat: ircd.svsmotd: No such file or directory
[core@joker install]$

---------------------------------------------------

opping myself...

[05:46:50] -> Server: oper core core
[05:46:50] * core sets mode: +oghaAN
Server notice mask (+kcfvGqso)
You are now an IRC Operator

see current motd:

[05:46:53] -> Server: motd
Message of the Day, qa.lugachat.net
- 12/11/2006 5:41
- --------ircd.motd---------
- some text here
- -----end of ircd.motd-----
End of /MOTD command.

add svsmotd with operserv raw command (anope)

[05:47:06] -> Server: privmsg operserv :raw :irc.services SVSMOTD # :some svsmotd text here
[05:47:06] -qa.lugachat.net- *** Notice -- Added 'some svsmotd text here' to services motd
[05:47:06] -qa.lugachat.net- *** Global -- from OperServ: core used RAW command for SVSMOTD

after this ircd.svsmotd file was created:

[core@joker install]$ cat ircd.svsmotd
some svsmotd text here
[core@joker install]$

and i can see this string in /motd output:

[05:48:32] -> Server: motd
Message of the Day, qa.lugachat.net
- 12/11/2006 5:41
- --------ircd.motd---------
- some text here
- -----end of ircd.motd-----
- some svsmotd text here
End of /MOTD command.

next, i'm trying to remove added svsmotd:

[05:49:01] -> Server: privmsg operserv :raw :irc.services SVSMOTD !
[05:49:01] -qa.lugachat.net- *** Notice -- Wiped out services motd data
[05:49:01] -qa.lugachat.net- *** Global -- from OperServ: core used RAW command for SVSMOTD

file ircd.svsmotd was disappeared:

[core@joker install]$ cat ircd.svsmotd
cat: ircd.svsmotd: No such file or directory
[core@joker install]$

but svsmotd line in /motd output not removed yet:

[05:50:43] -> Server: motd
Message of the Day, qa.lugachat.net
- 12/11/2006 5:41
- --------ircd.motd---------
- some text here
- -----end of ircd.motd-----
- some svsmotd text here
End of /MOTD command.

even after /rehash it still present there, and disappears only after ircd restart.
TagsNo tags attached.
3rd party modules

Activities

syzop

2006-11-12 13:04

administrator   ~0012633

Fixed in 32* (.590) and 33* (.2295):
- Fixed 'SVSMOTD !' not deleting the services motd in memory, reported by avb (0003110).

Thanks.

Issue History

Date Modified Username Field Change
2006-11-11 21:54 avb New Issue
2006-11-12 13:04 syzop Status new => resolved
2006-11-12 13:04 syzop Fixed in Version => 3.2.6
2006-11-12 13:04 syzop Resolution open => fixed
2006-11-12 13:04 syzop Assigned To => syzop
2006-11-12 13:04 syzop Note Added: 0012633